Version 6 with Catalina?

I’ve been buying 1Password since day one. The last version I purchased was 6.xx

I just did a clean install of Catalina on my 2012 Mac mini and I’m wondering if I can continue to use version 6.8.9? Is there a compelling reason not to?

Comments

  • ag_anaag_ana

    Team Member

    Hi @Bambooken!

    1Password 6 has been retired two years ago and has not received any updates since then. While it might work on Catalina, it has never been tested on it, so it's possible that there will be issues.

    1Password 7, on the other hand, is fully compatible and supported on Catalina, so we recommend to keep it updated whenever possible (also for security reasons).

  • Can I use the same V7 subscription for my Mac mini and MacBook Pro?

  • ag_anaag_ana

    Team Member

    @Bambooken:

    Yes: a subscription allows you to use 1Password on every device you own, and not just Macs, but every platform (Mac, Windows, iOS and Android) ;)

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file